%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppet-zookeeper
%global commit 3bc30fc4c53d3f017175780b0605169e2ee2ed99
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-zookeeper
Version:        0.6.1
Release:        2%{?alphatag}%{?dist}
Summary:        Module for managing Apache Zookeeper
License:        Apache-2.0

URL:            https://github.com/deric/puppet-zookeeper

Source0:        https://github.com/deric/%{upstream_name}/archive/%{commit}.tar.gz#/%{upstream_name}-%{shortcommit}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=3bc30fc4c53d3f017175780b0605169e2ee2ed99
Patch0001: 0001-extensive-refactoring.patch
Patch0002: 0002-enhancements-for-archive-installations-refs-73-refs-.patch
Patch0003: 0003-compatibility-with-older-versions-of-ruby-for-testin.patch
Patch0004: 0004-fix-coverage.patch
Patch0005: 0005-update-build-matrix.patch
Patch0006: 0006-better-redhat-repo-specs-75.patch
Patch0007: 0007-fix-precondition.patch
Patch0008: 0008-linting.patch
Patch0009: 0009-fix-setting-loglevels-rollingfile-defaults-to-INFO-7.patch
Patch0010: 0010-add-ubuntu-16.04-as-supported-system.patch
Patch0011: 0011-mention-logging-configuration.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-datacat
Requires:       puppet >= 2.7.0

%description
Module for managing Apache Zookeeper

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/zookeeper/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/zookeeper/



%files
%{_datadir}/openstack-puppet/modules/zookeeper/


%changelog
* Mon Jan 22 2018 Steve Linabery <slinaber@redhat.com> 0.6.1-2.39d48c8git
- mention logging configuration
- add ubuntu 16.04 as supported system
- fix setting loglevels, rollingfile defaults to INFO #76
- linting
- fix precondition
- better redhat repo specs #75
- update build matrix
- fix coverage
- compatibility with older versions of ruby (for testing)
- enhancements for archive installations, refs #73, refs #74
- extensive refactoring

* Tue Sep 20 2016 Haikel Guemar <hguemar@fedoraproject.org> - 0.6.1-1.3bc30fc.git
- Newton update 0.6.1 (3bc30fc4c53d3f017175780b0605169e2ee2ed99)


